httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Randy Terbush <ra...@zyzzyva.com>
Subject Re: WWW Form Bug Report: "more CFLAGS needed for HP-UX with HP compiler" on HPUX
Date Mon, 09 Dec 1996 15:18:49 GMT

I don't think these flags should apply only to 10.0. The same
was true on 9.x.


> > bdale@col.hp.com wrote:
> > >
> > >Submitter: bdale@col.hp.com
> > >Operating system: HPUX, version: 10.10
> > >Version of Apache Used: 1.2b1
> > >Extra Modules used: status
> > >URL exhibiting problem: 
> > >
> > >Symptoms:
> > >--
> > >The 'Configure' tool knows how to determine we're on an HP-UX 10.X platform,
but it does not add the extra CFLAGS definitions that are necessary if the compiler is cc
instead of, say, gcc.
> > >
> > >Specifically, you need "-Aa" to enable ANSI compatibility, and "-D_HPUX_SOURCE"
to get all the include file thingies to work right.
> 
> Here's a revised section for HPUX10 in the "Configure" script.  Is this alright?
> 
>     *-hp-hpux10.*)
>         OS='HP-UX 10'
>         CFLAGS="$CFLAGS -DHPUX10"
>         # if we're using the HPUX compiler, add a few flags.
>         if [ "$CC" = "cc" ]; then
>             CFLAGS="$CFLAGS -Aa -D_HPUX_SOURCE"
>         fi
>         ;;
> 
> Brian
> 
> --=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=--
> brian@organic.com  www.apache.org  hyperreal.com  http://www.organic.com/JOBS




Mime
View raw message